Description

227 MEJORA de los datos de PK anteriores y actuales de las tablas de Catalogo, Aforos y Accidentes. IMPORTANTE y
PRIORITARIO

Ha surgido una necesidad a raiz del estado actual de los datos. Se da la circunstancia que al hacer consultas cruzando tablas de
accidentes y aforos en los casos en los que se ha rekilometrado la carretera en un afio no asigna tramos de aforo y por tanto, sus
datos correspondientes a determinados accidentes. El motivo es la rekilometracién de algunos tramos de carretera que ha habido en
ese afno (He usado el afio 2020 en concreto), esto lo he hablado con Roberto y se podria subsanar (el tiene una idea de como
hacerlo: creando campos nuevos. Seria interesante que hablases con el de este asunto ya que él es el que tiene mas conocimiento
del catalogo y aforos). También yo te puedo aportar ideas y mis necesidades para desarrollar esto (en principio pienso que seria
necesario afnadir un campo a las tablas de accidentes y quiza de aforos donde el campo PK sea de dos formas: uno con la
informacién del PK a la fecha del accidente (segun el catélogo en dicha fecha) que es el que tenemos actualmente y otro campo de
PK en el que nos de la informacién del Punto kilométrico se acuerdo con el catalogo actualizado al momento de la consulta de
acuerdo con el catélogo vigente en la fecha de la realizacién de la consulta (cuando puedas llamame y lo hablamos mejor).

Son varias necesidades las que se solicitan pero necesito que hablemos para ir dividiendo el problema mas complejo en partes mas
sencillas y ver como ir atacandolo por partes.

Te adjunto pantallazos para que intentar explicarte mi problematica:

El ejemplo es el accidente de fecha 12/03/2020 de la carretera CV-821 PK7+500 (segun datos de la tabla accidentes, campo PK). Es
caso es que el PK de dicha carretera se modificd con fecha 15/08/2020 (aproximadamente. Se cambion el PK pasando el PK 5+360
antiguo al PK 3+000 actual existiendo un desfase de 2+360) y al cruzar datos con la tabla de aforos este accidente lo indica como
fuera de los tramos de aforos, sin embargo, es un accidente ocurrido dentro de nuestra red y con datos de aforos existentes pero el
programa tal y como esta actualmente no es posible obtener los datos por el hecho de haber rekilometrado.

History

#1 - 12/23/2021 05:07 PM - Oscar Martinez
- Hito set to Fase 03

#2 - 12/23/2021 05:14 PM - Oscar Martinez
- Priority changed from Normal to High

#3 - 08/04/2023 01:40 PM - Alvaro Anguix
- Status changed from New to Outdated
